Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
FG8: Come instal dei programmi con/senza il supporto di lib?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Risorse italiane (documentazione e tools)
View previous topic :: View next topic  
Author Message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 13200
Location: here

PostPosted: Sat Sep 25, 2004 1:25 pm    Post subject: FG8: Come instal dei programmi con/senza il supporto di lib? Reply with quote

Navigazione: [ back FG7: emerge non funziona piu', che posso fare? ] [ next FG9: Come posso mantenere gli ebuild creati da me senza perderli ad ogni rsync? ] [ Fondamenti Gentoo ] [ Indice ]


Come installare dei programmi con/senza il supporto di librerie?


Per prima cosa bisogna vedere se il programma ha il supporto per queste librerie, che lo scopriamo dando il comando:
Quote:
# emerge -pv qt
[ebuild R ] x11-libs/qt-3.3.3 +cups -debug -doc +firebird +gif -icc -immqt -immqt-bc -ipv6 +mysql +nas +odbc -opengl +postgres -sqlite -xinerama +zlib

Nota: e' l'opzione "v" che fa apparire le USE.
Nota 2: per sapere cosa servono le varie USE consultare il file /usr/portage/profiles/use.desc

In questo caso specifico vediamo che certi supporti sono attivi (quelli rossi con il "+") e altri disattivivati (quelli blu con il "-").
Ora se, per esempio, vogliamo attivare il supporto per l'opengl e disattivare quello per postgres lanciamo emerge in questo modo:
Quote:
# USE="opengl -postgres" emerge -pv qt
[ebuild R ] x11-libs/qt-3.3.3 +cups -debug -doc +firebird +gif -icc -immqt -immqt-bc -ipv6 +mysql +nas +odbc +opengl -postgres -sqlite -xinerama +zlib


Questo metodo non e' molto comodo se vogliamo solo togliere il supporto postgres solo a questo pacchetto perche' al prossimo aggiornamento dovremo stare noi attenti a compilare solo questo pacchetto senza il supporto (vale lo stesso per l'aggiunta di opengl). In questo caso ritorna utile il file /etc/portage/package.use dando il comando:
Code:
# echo "x11-libs/qt opengl -postgres" >> /etc/portage/package.use


In questo modo portage compilera' sempre le qt con supporto opengl e senza quello di postgres.


Per maggiori informazioni vedere la sezione USE flag del Handbook.
_________________
"aspetto un'emozione sempre più indefinibile"
- CCCP -
"la libertà un doveroso pericolo in verità"
- PGR -
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Risorse italiane (documentazione e tools) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum